#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
services:
  _defaults:
    autowire: true
  XC\Zapier\LifetimeHook\Enable:
    arguments:
      $configRepository: '@xcart.repository.config'
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-Zapier, type: enable, method: onEnable}
  XC\Zapier\LifetimeHook\Upgrade\UpgradeTo550build0:
    arguments:
      $configRepository: '@xcart.repository.config'
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-Zapier, type: upgrade, method: onUpgrade, version: 5.5.0.0}
  XC\Zapier\LifetimeHook\Upgrade\UpgradeTo551build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-Zapier, type: upgrade, method: onUpgrade, version: 5.5.1.0}
